﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.C1Schedule;

namespace Highlight_Selected_Appointment_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            c1Schedule1.BeforeAppointmentFormat += new EventHandler<C1.Win.C1Schedule.BeforeAppointmentFormatEventArgs>(c1Schedule1_BeforeAppointmentFormat);
            c1Schedule1.SelectedAppointmentsChanged += new EventHandler<C1.Win.C1Schedule.SelectedAppointmentsChangedEventArgs>(c1Schedule1_SelectedAppointmentsChanged);
        }

        void c1Schedule1_BeforeAppointmentFormat(object sender, C1.Win.C1Schedule.BeforeAppointmentFormatEventArgs e)
        {
            if (c1Schedule1.SelectedAppointments.Contains(e.Appointment))
                e.BackColor = Color.Blue;
            else
                e.BackColor = e.Appointment.Label.Color;

        }

        void c1Schedule1_SelectedAppointmentsChanged(object sender, C1.Win.C1Schedule.SelectedAppointmentsChangedEventArgs e)
        {
             foreach(Appointment app in c1Schedule1.DataStorage.AppointmentStorage.Appointments)
             {
                 if (c1Schedule1.SelectedAppointments.Contains(app))
                     app.Tag = "change";
                 else
                     app.Tag = null;            
             }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1Schedule1.PrintInfo.IsPrintingEnabled = false;

            DateTime dt = DateTime.Now;

            Appointment app = new Appointment();
            app.Subject = "Conference Call";
            app.Start = new DateTime(dt.Year, dt.Month, dt.Day, 9, 0, 0);
            app.End = app.Start.AddMinutes(30);
            c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app);

            app = new Appointment();
            app.Subject = "RoadMap meeting";
            app.Start = new DateTime(dt.Year, dt.Month, dt.Day, 11, 0, 0);
            app.End = app.Start.AddMinutes(30);
            c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app);

            app = new Appointment();
            app.Subject = "Out Station Tour";
            app.Start = new DateTime(dt.Year, dt.Month, dt.Day, 14, 0, 0);
            app.End = app.Start.AddMinutes(30);
            c1Schedule1.DataStorage.AppointmentStorage.Appointments.Add(app);
        }
    }
}
